package arraylist01;

import java.util.ArrayList;
import java.util.Iterator;
class ArrayList01{
    private Integer[] enteros;
    private ArrayList<Integer> arrLst1,arrLst2;
    private int numerin;
    public ArrayList01(){
        enteros = new Integer[10];
        for(int i = 0; i<enteros.length; i++)
            enteros[i] = new Integer((int)(100*Math.random()));
        arrLst1 = new ArrayList<Integer>(enteros.length);
        arrLst2 = new ArrayList<Integer>(enteros.length);
    }
    
    public void demo(){
        insOrd();
        delMay();
        System.out.println(this);
    }
    
    private void insOrd(){
        Integer auxInt; int i, j; Boolean ins;
        for(i = 0; i < enteros.length; i++){
            ins = false;    //  Bandera de insercion, inicialmente false
            for(j = 0; j < arrLst1.size(); j++){
                if(enteros[i] < arrLst1.get(j)){ //  Hemos alcanzado la posicion 
                                                // correcta, insertamos enteros[i]
                    arrLst1.add(j, enteros[i]); // desplazando el resto a derecha
                    ins = true; //  Hemos insertado, bandera a true
                    break;      //  Abandonamos ciclo interno
                }
            }   //  for interno
            if(!ins)    // no inserto en el ciclo, era mayor a todos, entonces
                arrLst1.add(enteros[i]);   //  insertamos al final
        }       //  for externo  
    } 
    
    private void delMay(){  //  Removemos mayores a un valor aleatorio 
        numerin = new Integer((int)(100*Math.random())); // val aleatorio
        arrLst2 = new ArrayList(arrLst1); // Construimos arrLst2
        for(int j = 0; j < arrLst2.size(); j++){
            if(arrLst2.get(j) > numerin){ // Si el elemento es mayor, lo   
                arrLst2.remove(j);  // excluimos y luego retrocedemos,
                j--; // para no dejar de procesar elementos de arrLst2
            }    
        }
    }
    public String toString(){
        String auxStr = "arrLst1 contiene: \n";
        auxStr += arrLst1.toString()+"\n";
        auxStr += "Removeremos > "+numerin+"\n";
        auxStr += "arrLst2 contiene: \n";
        auxStr +=  arrLst2.toString()+"\n";
        return auxStr;
    }
    
}
